Get container image
curl --request GET \
--url https://api.blaxel.ai/v0/images/{resourceType}/{imageName} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.blaxel.ai/v0/images/{resourceType}/{imageName}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.blaxel.ai/v0/images/{resourceType}/{imageName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"createdAt": "<string>",
"displayName": "<string>",
"events": [
{
"canaryRevision": "<string>",
"message": "Deployment successful",
"revision": "rev-abc123",
"status": "DEPLOYED",
"time": "2025-01-15T10:30:00Z",
"type": "deployment"
}
],
"lastDeployedAt": "<string>",
"name": "<string>",
"resourceType": "<string>",
"sourceWorkspace": "<string>",
"updatedAt": "<string>",
"workspace": "<string>"
},
"spec": {
"size": 123,
"tags": [
{
"createdAt": "<string>",
"name": "<string>",
"size": 123,
"updatedAt": "<string>"
}
]
}
}images
Get container image
Returns detailed information about a container image including all available tags, creation dates, and size information.
GET
/
images
/
{resourceType}
/
{imageName}
Get container image
Authorizations
OAuth2ApiKeyAuth
OAuth2 authentication with JWT tokens
Path Parameters
Resource type (agents, functions, sandboxes, jobs)
Name of the container image repository
Last modified on July 1, 2026
Was this page helpful?
⌘I
